Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsGroup

[show private | hide private]
[frames | no frames]

## Class TwistedWordsGroup

    AbstractGroup --+
                    |
                   TwistedWordsGroup

Method Summary
| `__init__(self, name, wordsClient, chatui)`
| `__repr__(self)` (inherited from `AbstractGroup`)
| `__str__(self)` (inherited from `AbstractGroup`)
| ``getGroupCommands`(self)` finds group commands (inherited from `AbstractGroup`)
| ``getTargetCommands`(self, target)` finds group commands (inherited from `AbstractGroup`)
| `joining(self)`
| `leave(self)`
| `leaving(self)`
| `metadataFailed(self, result, text)`
| ``sendGroupMessage`(self, text, metadata)` Return a deferred.
| `setTopic(self, text)`

Method Details

### sendGroupMessage(self, text, metadata=None)

Return a deferred.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:51 2003 | http://epydoc.sf.net